import { filter, finalize, shareReplay } from 'rxjs/operators';
import { BehaviorSubject } from 'rxjs';
export function useService(service) {
    const state$ = new BehaviorSubject(service.state);
    const sub = service.subscribe((s) => state$.next(s));
    state$.pipe(filter(({ changed }) => changed), shareReplay(1), finalize(() => sub.unsubscribe()));
    return { state$, send: service.send, service };
}
//# sourceMappingURL=useService.js.map