import { OnDestroy } from '@angular/core';
import { EventObject, MachineOptions, InterpreterOptions, StateMachine, Typestate } from 'xstate';
import { InterpretedService, UseMachineOptions } from './types';
export declare class XstateAngular<TContext, TStateSchema, TEvent extends EventObject = EventObject, TTypestate extends Typestate<TContext> = {
    value: any;
    context: TContext;
}> implements OnDestroy {
    private service;
    private readonly unsubscribeSubject$;
    readonly unsubscribe$: import("rxjs").Observable<void>;
    useMachine(machine: StateMachine<TContext, TStateSchema, TEvent, TTypestate>, options?: Partial<InterpreterOptions> & Partial<UseMachineOptions<TContext, TEvent>> & Partial<MachineOptions<TContext, TEvent>>): InterpretedService<TContext, TStateSchema, TEvent, TTypestate>;
    ngOnDestroy(): void;
}
